FROM debian:buster AS builder

ENV VERSION=4048
RUN apt-get update && \
    apt-get install -y npm git nodejs make wget unzip && \
    wget https://github.com/jitsi/jitsi-meet/archive/${VERSION}.zip -O jitsi-meet.zip && \
    unzip jitsi-meet.zip && \
    mv jitsi-meet-${VERSION} jitsi-meet && \
    cd jitsi-meet && \
    npm install && \
    make && \
    sed -i \
      "s/OPTIMAL_BROWSERS: \[.*\],/    OPTIMAL_BROWSERS: [ 'chrome', 'chromium', 'nwjs', 'electron' ],/g" \
      interface_config.js && \
    sed -i \
      "s/UNSUPPORTED_BROWSERS: \[.*\],/    UNSUPPORTED_BROWSERS: [ 'firefox' ],/g" \
      interface_config.js

FROM debian:buster

COPY --from=builder /jitsi-meet /srv/jitsi-meet
RUN apt-get update && \
    apt-get install -y nginx && \
    rm /etc/nginx/sites-enabled/*

COPY config.js /srv/jitsi-meet/config.js
COPY entrypoint.sh /usr/local/bin/entrypoint
ENTRYPOINT ["/usr/local/bin/entrypoint"]
CMD ["/usr/sbin/nginx", "-g", "daemon off;"]
